org.apache.lucene.benchmark.utils

## Class ExtractReuters

- java.lang.Object
- - org.apache.lucene.benchmark.utils.ExtractReuters

    public class ExtractReuters
    extends Object

Split the Reuters SGML documents into Simple Text files containing: Title, Date, Dateline, Body

### Constructor Summary

Constructors
Constructor and Description
`ExtractReuters(Path reutersDir, Path outputDir)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `extract()`
`protected void` `extractFile(Path sgmFile)` Override if you wish to change what is extracted
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtractReuters

    public ExtractReuters(Path reutersDir,
                          Path outputDir)
                   throws IOException

Throws:
  `IOException`

### Method Detail

#### extract

    public void extract()
                 throws IOException

Throws:
  `IOException`

#### extractFile

    protected void extractFile(Path sgmFile)

Override if you wish to change what is extracted

#### main

    public static void main(String[] args)
                     throws Exception

Throws:
  `Exception`